# dma.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for dma.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | _dmaXfer (uInt8 dmaChannel, uInt8 page, uInt offset, uInt length, uInt8 mode)
void | dmaXfer (uInt8 channel, uInt32 address, uInt length, uInt8 read)

## Function Documentation

void _dmaXfer | ( | uInt8 | dmaChannel,
|  | uInt8 | page,
|  | uInt | offset,
|  | uInt | length,
|  | uInt8 | mode |
| ) |  |  |

Definition at line 59 of file dma.c.

References addrPort, clearReg, countPort, highByte, lowByte, maskReg, modeReg, outportByte(), and pagePort.

Referenced by dmaXfer().

Here is the call graph for this function:

void dmaXfer | ( | uInt8 | channel,
|  | uInt32 | address,
|  | uInt | length,
|  | uInt8 | read |
| ) |  |  |

Definition at line 44 of file dma.c.

References _dmaXfer().

Referenced by fdcRw().

Here is the call graph for this function: